function d2h(d) {
	if (d == 16) { d--; }
	if (d == 256) { d--; }
	if (d == 0) { d++; }
	return d.toString(16);
}
function BuildColorKey(iR, iG, iB) {
	var cR, cG, cB;
	cR = iR; cG = iG; cB = iB;
	if (iR <= 16) { cR = "0" + d2h(cR); } else { cR = d2h(cR); }
	if (iG <= 16) { cG = "0" + d2h(cG); } else { cG = d2h(cG); }
	if (iB <= 16) { cB = "0" + d2h(cB); } else { cB = d2h(cB); }
	return cR + cG + cB;
}
function DrawGrid() {
	var iR, iG, iB, tR, tG, tB, iHue, cColorKey;

	for (iHue = 16; iHue > 0; iHue--)
	{
		document.write("<tr>");
		iR = 16; iB = 1;
		for (iG = 1; iG < 17; iG++)
		{
			tR = iR * iHue;	tG = iG * iHue;	tB = iB * iHue;
			if (tR >= 256) { tR = 255; }
			if (tG >= 256) { tG = 255; }
			if (tB >= 256) { tB = 255; }
			if (tR <= 0) { tR = 1; }
			if (tG <= 0) { tG = 1; }
			if (tB <= 0) { tB = 1; }
			cColorKey = BuildColorKey(tR, tG, tB);
			document.write("<td class=\"cg\" bgcolor=#" + cColorKey + " onclick=\"SendColor('" + cColorKey + "');\">&nbsp;</td>");
		}
		iG = 16;
		for (iR = 16; iR > 0; iR--)
		{
			tR = iR * iHue;	tG = iG * iHue;	tB = iB * iHue;
			if (tR >= 256) { tR = 255; }
			if (tG >= 256) { tG = 255; }
			if (tB >= 256) { tB = 255; }
			if (tR <= 0) { tR = 1; }
			if (tG <= 0) { tG = 1; }
			if (tB <= 0) { tB = 1; }
			cColorKey = BuildColorKey(tR, tG, tB);
			document.write("<td class=\"cg\" bgcolor=#" + cColorKey + " onclick=\"SendColor('" + cColorKey + "');\">&nbsp;</td>");
		}
		iR = 1;	iG = 16;
		for (iB = 1; iB < 17; iB++)
		{
			tR = iR * iHue;	tG = iG * iHue;	tB = iB * iHue;
			if (tR >= 256) { tR = 255; }
			if (tG >= 256) { tG = 255; }
			if (tB >= 256) { tB = 255; }
			if (tR <= 0) { tR = 1; }
			if (tG <= 0) { tG = 1; }
			if (tB <= 0) { tB = 1; }
			cColorKey = BuildColorKey(tR, tG, tB);
			document.write("<td class=\"cg\" bgcolor=#" + cColorKey + " onclick=\"SendColor('" + cColorKey + "');\">&nbsp;</td>");
		}
		iR = 1; iB = 16;
		for (iG = 16; iG > 0; iG--)
		{
			tR = iR * iHue;	tG = iG * iHue;	tB = iB * iHue;
			if (tR >= 256) { tR = 255; }
			if (tG >= 256) { tG = 255; }
			if (tB >= 256) { tB = 255; }
			if (tR <= 0) { tR = 1; }
			if (tG <= 0) { tG = 1; }
			if (tB <= 0) { tB = 1; }
			cColorKey = BuildColorKey(tR, tG, tB);
			document.write("<td class=\"cg\" bgcolor=#" + cColorKey + " onclick=\"SendColor('" + cColorKey + "');\">&nbsp;</td>");
		}
		iG = 1;	iB = 16;
		for (iR = 1; iR < 17; iR++)
		{
			tR = iR * iHue;	tG = iG * iHue;	tB = iB * iHue;
			if (tR >= 256) { tR = 255; }
			if (tG >= 256) { tG = 255; }
			if (tB >= 256) { tB = 255; }
			if (tR <= 0) { tR = 1; }
			if (tG <= 0) { tG = 1; }
			if (tB <= 0) { tB = 1; }
			cColorKey = BuildColorKey(tR, tG, tB);
			document.write("<td class=\"cg\" bgcolor=#" + cColorKey + " onclick=\"SendColor('" + cColorKey + "');\">&nbsp;</td>");
		}
		iR = 16; iG = 1;
		for (iB = 16; iB > 0; iB--)
		{
			tR = iR * iHue;	tG = iG * iHue;	tB = iB * iHue;
			if (tR >= 256) { tR = 255; }
			if (tG >= 256) { tG = 255; }
			if (tB >= 256) { tB = 255; }
			if (tR <= 0) { tR = 1; }
			if (tG <= 0) { tG = 1; }
			if (tB <= 0) { tB = 1; }
			cColorKey = BuildColorKey(tR, tG, tB);
			document.write("<td class=\"cg\" bgcolor=#" + cColorKey + " onclick=\"SendColor('" + cColorKey + "');\">&nbsp;</td>");
		}
		document.write("</tr>");
	}
}